/**
 ** Icons! Screensaver
 ** Copyright (c) 2002, Flaming Sword Productions
 ** Released into the Public Domain
 **
 ** Written by Brian C. Ledbetter <brian@shadowcom.net>
 ** http://www.shadowcom.net/Software/kss/icons/
 **
 ** $Id: IconSaver.cpp,v 1.1.1.1 2002/02/27 14:43:13 brian Exp $
 **/
#include	<qtimer.h>
#include	<qvbox.h>
#include	<qpixmap.h>
#include	<qimage.h>
#include	<qbitmap.h>
#include	<ksharedpixmap.h>
#include	<kscreensaver.h>
#include	"IconSaver.h"

/**
 ** Constructors/Destructors...
 **/
		IconSaver::IconSaver( WId id )
		:KScreenSaver( id ) {

	initialize();
	_iMgr = new IconMgr( this );
}

		IconSaver::~IconSaver() {

	delete _iMgr;
}

/**
 ** IconSaver::initialize(): Prepare ourselves for battle.
 **/
void		IconSaver::initialize() {

	clear();
}

/**
 ** IconSaver::readSettings(): Load our preferences.  We won't have these
 ** for a while...
 **/
void		IconSaver::readSettings() {
}

/**
 ** IconSaver::clear(): Clear the screen in preparation of our events.
 **/
void		IconSaver::clear() {

	setBackgroundColor(black);
	erase();
}
